use crate::json_util::get_json_string;

pub struct PullRequestEvent<'a> {
    original_event: &'a serde_json::Value,
}

impl<'a> PullRequestEvent<'a> {
    pub fn new(original_event: &'a serde_json::Value) -> Result<Self, Box<dyn std::error::Error>> {
        Ok(PullRequestEvent { original_event })
    }

    pub fn is_a(event: &'a serde_json::Value) -> Result<bool, Box<dyn std::error::Error>> {
        let event_type = event.get("type").map(get_json_string);
        match event_type {
            Some(event_type_string) if event_type_string == "PullRequestEvent" => {
                return Ok(true);
            }
            _ => Ok(false),
        }
    }
}
